// This is a C++ source.

#include "base.h"
#include "attach.h"

CAttach::CAttach()
{
	m_nDate = 2000; 
	m_nWedding = 312;
};

void CAttach::SetInfoAttach(int nDate, int nWedding)
{
	m_nDate = nDate;
	m_nWedding = nWedding;
};

int CBase::PeriodTime(int PAR)
{
	int m_nReturn, m_nTime= PAR;
	if(PAR<10)
	{
		m_nReturn +=m_nTime;
		m_nTime++;
		PeriodTime(m_nTime);	
	};
	return m_nReturn;	
};

CBase::CBase()
{
		m_nMajor = 1975;
		m_nMinor = 410;
		m_nSayHello = 345;
		m_nSaYoNaRa = DumpFunction( m_nSayHello );
};

void CBase::SetInfo()
{
	m_nMajor = 1977;
	m_nMinor = 1022;
};

void CBase::SetInfo(int nMajor, int nMinor)
{
	m_nMajor = nMajor;
	m_nMinor = nMinor;
};


CBase info;
CBase infoOver;
CAttach HeInfo;
int main()
{
	info.SetInfo(1978, 408);
	infoOver.SetInfo();
	HeInfo.SetInfo(1975, 423);
	HeInfo.SetInfoAttach(2000, 326);
	return 0;
}

